MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("NSIndexPath", true) Represents the path to a node in a tree. In iOS this class is most commonly used to identify a row in a .

The API used in iOS with consists of a static method to create new objects and two properties. The method creates a new instance from row and section numbers. The properties and return the relevant values from populated instances.

This class has other uses beyond , which would involve using the rest of the class's properties and methods.

Example_Data monocatalog
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("compare:")
  System.Int32 `` Index-path to compare. Indicates the depth-first traversal order of this object compared to (not required for use with iOS ). NSComparisonResult { NSOrderedAscending = -1, NSOrderedSame = 0, NSOrderedDescending = 1 }
- Method
  0.0.0.0
  MonoMac.Foundation.NSIndexPath `System.ParamArray` Array of indexes to make the index-path. Create a new index-path object with the specified objects (not required for use with iOS ).
- Method
  0.0.0.0
  MonoMac.Foundation.NSIndexPath `System.ParamArray` Array of indexes to make the index-path. Create a new index-path object with the specified objects (not required for use with iOS ).
- Method
  0.0.0.0
  System.Boolean `` Index-path to compare. Returns if this object is equivalent to .
- Method
  0.0.0.0
  MonoMac.Foundation.Export("indexPathWithIndex:")
  MonoMac.Foundation.NSIndexPath `` Object to place in the index-path. Create a new index-path object with the specified object (not required for use with iOS ).
- Method
  0.0.0.0
  System.Obsolete("Use the NSIndexPath.Create (int []) static method instead")
  MonoMac.Foundation.NSIndexPath `` Array of indexes to make the index-path. Create a new index-path object with the specified objects (not required for use with iOS ).
- Method
  0.0.0.0
  System.Int32 Generates a hash code for the current instance. A int containing the hash code for this instance. The algorithm used to generate the hash code is unspecified.
- Method
  0.0.0.0
  System.UInt32[] Copies the objects contained in the index-path to an array (not required for use with iOS ).
- Method
  0.0.0.0
  MonoMac.Foundation.Export("indexAtPosition:")
  System.UInt32 `` Position of index to return. Return the index at the given in the index-path (not required for use with iOS ).
- Method
  0.0.0.0
  MonoMac.Foundation.Export("indexPathByAddingIndex:")
  MonoMac.Foundation.NSIndexPath `` Index to be appended. Returns a new index-path containing those in this object plus the new (not required for use with iOS ).
- Method
  0.0.0.0
  MonoMac.Foundation.Export("indexPathByRemovingLastIndex")
  MonoMac.Foundation.NSIndexPath Returns a new index-path with the last one removed (not required for use with iOS ).
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("length")
  System.Int32 The number of indexes in the index-path (not required for use with iOS ).